Bug 478282 - Fetch source entries matching any value of a multivalue attribute of a previous source entry
Fetch source entries matching any value of a multivalue attribute of a previo...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:14 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:14:13 EST
The attached patch provides for a field ref to be characterized as 'disjunctive' whereby multiple source values will result in a disjunctive search filter. By default field refs are not disjunctive thereby preserving the previous behaviour.

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'attachmentNames' => '0005-fetch-source-entries-matching-any-value-of-a-multiva.patch',
          'reporter' => 'kouk',
          'key' => 'PENROSE-317',
          'assignee' => 'jimyang',
          'summary' => 'fetch source entries matching any value of a multivalue attribute of a previous source entry',
          'id' => '11044',
          'updated' => '2008-08-26 09:13:16.0',
          'votes' => '0',
          'fixVersions' => [],
          'affectsVersions' => [],
          'description' => 'The attached patch provides for a field ref to be characterized as 'disjunctive' whereby multiple source values will result in a disjunctive search filter. By default field refs are not disjunctive thereby preserving the previous behaviour.',
          'created' => '2008-08-26 09:12:53.0',
          'type' => '4'
        };


=========================================================
Comment 1 Jim Yang 2009-01-27 16:19:37 EST
Attachment is located here http://jira.safehaus.org/browse/PENROSE-317
Comment 2 Endi Sukma Dewata 2009-02-23 18:52:42 EST
The code has been heavily refactored since the patch was posted, so it is no longer applicable. Please retest and reopen the issue if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.